Index: palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_bc.f90	(revision 1960)
+++ palm/trunk/SOURCE/advec_s_bc.f90	(revision 1961)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! New CASE statement to treat scalars and humidity separately
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1960 2016-07-12 16:34:24Z suehring
+! New CASE statement to treat scalars and humidity separately
+! 
 ! 1873 2016-04-18 14:50:06Z maronga
 ! Module renamed (removed _mod)
Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 1960)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 1961)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! Separate humidity and passive scalar
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$ 
+! 
+! 1960 2016-07-12 16:34:24Z suehring
+! Separate humidity and passive scalar
 ! 
 ! 1942 2016-06-14 12:18:18Z suehring
Index: palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/average_3d_data.f90	(revision 1960)
+++ palm/trunk/SOURCE/average_3d_data.f90	(revision 1961)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Treat humidity and passive scalar separately
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1960 2016-07-12 16:34:24Z suehring
+! Treat humidity and passive scalar separately
+! 
 ! 1691 2015-10-26 16:17:44Z maronga
 ! Added output of Obukhov length and radiative heating rates for RRTMG. 
Index: palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/boundary_conds.f90	(revision 1960)
+++ palm/trunk/SOURCE/boundary_conds.f90	(revision 1961)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Treat humidity and passive scalar separately
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1960 2016-07-12 16:34:24Z suehring
+! Treat humidity and passive scalar separately
+! 
 ! 1823 2016-04-07 08:57:52Z hoffmann
 ! Initial version of purely vertical nesting introduced.
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1960)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1961)
@@ -19,4 +19,11 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1960 2016-07-12 16:34:24Z suehring
 ! Separate checks and calculations for humidity and passive scalar. Therefore,
 ! a subroutine to calculate vertical gradients is introduced, in order  to reduce
@@ -25,8 +32,4 @@
 ! so far.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1931 2016-06-10 12:06:59Z suehring
 ! Rename multigrid into multigrid_noopt and multigrid_fast into multigrid
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 1960)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 1961)
@@ -19,10 +19,13 @@
 ! Current revisions:
 ! -----------------
-! Scalar surface flux added
-! Rename INTEGER variable s into s_ind, as s is already assigned to scalar
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1960 2016-07-12 16:34:24Z suehring
+! Scalar surface flux added
+! Rename INTEGER variable s into s_ind, as s is already assigned to scalar
 !
 ! 1849 2016-04-08 11:33:18Z hoffmann
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 1960)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 1961)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! Scalar surface flux added
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1960 2016-07-12 16:34:24Z suehring
+! Scalar surface flux added
 !
 ! 1849 2016-04-08 11:33:18Z hoffmann
Index: palm/trunk/SOURCE/data_output_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/data_output_dvrp.f90	(revision 1960)
+++ palm/trunk/SOURCE/data_output_dvrp.f90	(revision 1961)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Separate humidity and passive scalar
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1960 2016-07-12 16:34:24Z suehring
+! Separate humidity and passive scalar
+! 
 ! 1873 2016-04-18 14:50:06Z maronga
 ! Module renamed (removed _mod)
Index: palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/data_output_mask.f90	(revision 1960)
+++ palm/trunk/SOURCE/data_output_mask.f90	(revision 1961)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Separate humidity and passive scalar
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1960 2016-07-12 16:34:24Z suehring
+! Separate humidity and passive scalar
 !
 ! 2016-03-06 18:36:17Z raasch
Index: palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- palm/trunk/SOURCE/data_output_spectra.f90	(revision 1960)
+++ palm/trunk/SOURCE/data_output_spectra.f90	(revision 1961)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Additional default spectra for passive scalar
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1960 2016-07-12 16:34:24Z suehring
+! Additional default spectra for passive scalar
+! 
 ! 1833 2016-04-07 14:23:03Z raasch
 ! spectrum renamed spectra_mod, spectra related variables moved to spectra_mod,
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 1960)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 1961)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Separate humidity and passive scalar
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1960 2016-07-12 16:34:24Z suehring
+! Separate humidity and passive scalar
 !
 ! 1918 2016-05-27 14:35:57Z raasch
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1960)
+++ palm/trunk/SOURCE/header.f90	(revision 1961)
@@ -19,12 +19,15 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1960 2016-07-12 16:34:24Z suehring
 ! Treat humidity and passive scalar separately.
 ! Modify misleading information concerning humidity.
 ! Bugfix, change unit for humidity flux.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1957 2016-07-07 10:43:48Z suehring
 ! flight module added
Index: palm/trunk/SOURCE/inflow_turbulence.f90
===================================================================
--- palm/trunk/SOURCE/inflow_turbulence.f90	(revision 1960)
+++ palm/trunk/SOURCE/inflow_turbulence.f90	(revision 1961)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Separate humidity and passive scalar
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1960 2016-07-12 16:34:24Z suehring
+! Separate humidity and passive scalar
+! 
 ! 1806 2016-04-05 18:55:35Z gronemeier
 ! Added comments to variables and code segments. Removed code redundancies.
Index: palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_1d_model.f90	(revision 1960)
+++ palm/trunk/SOURCE/init_1d_model.f90	(revision 1961)
@@ -19,11 +19,14 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1960 2016-07-12 16:34:24Z suehring
 ! Remove passive_scalar from IF-statements, as 1D-scalar profile is effectively
 ! not used.
 ! Formatting adjustment
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1808 2016-04-05 19:44:00Z raasch
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1960)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1961)
@@ -19,12 +19,15 @@
 ! Current revisions:
 ! ------------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1960 2016-07-12 16:34:24Z suehring
 ! Separate humidity and passive scalar
 ! Increase dimension for mean_inflow_profiles
 ! Remove inadvertent write-statement
 ! Bugfix, large-scale forcing is still not implemented for passive scalars
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1957 2016-07-07 10:43:48Z suehring
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1960)
+++ palm/trunk/SOURCE/modules.f90	(revision 1961)
@@ -19,4 +19,11 @@
 ! Current revisions:
 ! ------------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1960 2016-07-12 16:34:24Z suehring
 ! Separate humidity and passive scalar
 ! +bc_s_t_val, diss_s_s, diss_l_s, flux_s_s, flux_l_s, s, sp, s1, s2, s3, ssws_av, 
@@ -29,8 +36,4 @@
 ! Change default values (in order to unify gradient calculation): 
 ! pt_vertical_gradient_level, sa_vertical_gradient_level
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1957 2016-07-07 10:43:48Z suehring
Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 1960)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 1961)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Additional labels and units for timeseries output of passive scalar-related 
-! quantities
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1960 2016-07-12 16:34:24Z suehring
+! Additional labels and units for timeseries output of passive scalar-related 
+! quantities
+! 
 ! 1957 2016-07-07 10:43:48Z suehring
 ! flight module added
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 1960)
+++ palm/trunk/SOURCE/palm.f90	(revision 1961)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Separate humidity and passive scalar
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1960 2016-07-12 16:34:24Z suehring
+! Separate humidity and passive scalar
+! 
 ! 1834 2016-04-07 14:34:20Z raasch
 ! Initial version of purely vertical nesting introduced. 
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 1960)
+++ palm/trunk/SOURCE/parin.f90	(revision 1961)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Allocation of s_init
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! 
+! 1960 2016-07-12 16:34:24Z suehring
+! Allocation of s_init
 ! 
 ! 1957 2016-07-07 10:43:48Z suehring
Index: palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 1960)
+++ palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 1961)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Separate humidity and passive scalar
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1960 2016-07-12 16:34:24Z suehring
+! Separate humidity and passive scalar
+! 
 ! 1953 2016-06-21 09:28:42Z suehring
 ! Bugfix, lad_s and lad must be public
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 1960)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 1961)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Separate humidity and passive scalar
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1960 2016-07-12 16:34:24Z suehring
+! Separate humidity and passive scalar
+! 
 ! 1914 2016-05-26 14:44:07Z witha
 ! Added calls for wind turbine model
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 1960)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 1961)
@@ -19,10 +19,13 @@
 ! Current revisions:
 ! ------------------
-! Separate humidity and passive scalar
-! Remove unused variables from ONLY list
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1960 2016-07-12 16:34:24Z suehring
+! Separate humidity and passive scalar
+! Remove unused variables from ONLY list
 !
 ! 1957 2016-07-07 10:43:48Z suehring
Index: palm/trunk/SOURCE/spectra_mod.f90
===================================================================
--- palm/trunk/SOURCE/spectra_mod.f90	(revision 1960)
+++ palm/trunk/SOURCE/spectra_mod.f90	(revision 1961)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Additional default spectra for passive scalar
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1960 2016-07-12 16:34:24Z suehring
+! Additional default spectra for passive scalar
+! 
 ! 1833 2016-04-07 14:23:03Z raasch
 ! file renamed, reading the spectra_par NAMELIST moved from package_parin to
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1960)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1961)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Scalar surface flux added
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1960 2016-07-12 16:34:24Z suehring
+! Scalar surface flux added
+! 
 ! 1949 2016-06-17 07:19:16Z maronga
 ! Bugfix: calculation of lai_av, c_veg_av and c_liq_av.
Index: palm/trunk/SOURCE/surface_layer_fluxes_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 1960)
+++ palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 1961)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Treat humidity and passive scalar separately
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1960 2016-07-12 16:34:24Z suehring
+! Treat humidity and passive scalar separately
+! 
 ! 1929 2016-06-09 16:25:25Z suehring
 ! Bugfix: avoid segmentation fault in case one grid point is horizontally 
Index: palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- palm/trunk/SOURCE/swap_timelevel.f90	(revision 1960)
+++ palm/trunk/SOURCE/swap_timelevel.f90	(revision 1961)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Separate humidity and passive scalar
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1960 2016-07-12 16:34:24Z suehring
+! Separate humidity and passive scalar
 !
 ! 1822 2016-04-07 07:49:42Z hoffmann
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1960)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1961)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Separate humidity and passive scalar
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1960 2016-07-12 16:34:24Z suehring
+! Separate humidity and passive scalar
+! 
 ! 1957 2016-07-07 10:43:48Z suehring
 ! flight module added
Index: palm/trunk/SOURCE/user_actions.f90
===================================================================
--- palm/trunk/SOURCE/user_actions.f90	(revision 1960)
+++ palm/trunk/SOURCE/user_actions.f90	(revision 1961)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! New CASE statement for scalar tendency
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1960 2016-07-12 16:34:24Z suehring
+! New CASE statement for scalar tendency
+! 
 ! 1873 2016-04-18 14:50:06Z maronga
 ! Module renamed (removed _mod)
Index: palm/trunk/SOURCE/user_spectra.f90
===================================================================
--- palm/trunk/SOURCE/user_spectra.f90	(revision 1960)
+++ palm/trunk/SOURCE/user_spectra.f90	(revision 1961)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Consider additional spectra for passive scalar
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1960 2016-07-12 16:34:24Z suehring
+! Consider additional spectra for passive scalar
+! 
 ! 1833 2016-04-07 14:23:03Z raasch
 ! spectrum renamed spectra_mod
Index: palm/trunk/SOURCE/virtual_flight_mod.f90
===================================================================
--- palm/trunk/SOURCE/virtual_flight_mod.f90	(revision 1960)
+++ palm/trunk/SOURCE/virtual_flight_mod.f90	(revision 1961)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Separate humidity and passive scalar.
-! Bugfix concerning labeling of timeseries.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1960 2016-07-12 16:34:24Z suehring
+! Separate humidity and passive scalar.
+! Bugfix concerning labeling of timeseries.
+! 
 ! 1957 2016-07-07 10:43:48Z suehring
 ! Initial revision