Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 1960)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 1972)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Land surface actions are now done directly in the respective module
 ! 
 ! Former revisions:
@@ -113,10 +113,4 @@
     USE indices,                                                               &
         ONLY:  nxl, nxr, nys, nyn, nzb, nzt
-
-    USE land_surface_model_mod,                                                &
-        ONLY:  c_liq_av, c_soil_av, c_veg_av, ghf_eb_av, lai_av,               &
-               qsws_eb_av, qsws_liq_eb_av, qsws_soil_eb_av, qsws_veg_eb_av,    & 
-               land_surface, m_liq_eb, m_liq_eb_av, m_soil, m_soil_av,         &
-               nzb_soil, nzt_soil, shf_eb_av, t_soil, t_soil_av
         
     USE particle_attributes,                                                   &
@@ -152,5 +146,5 @@
 !
 !-- Write arrays.
-    binary_version = '4.3'
+    binary_version = '4.4'
 
     WRITE ( 14 )  binary_version
@@ -164,16 +158,4 @@
 !--            adjusted accordingly.
 
-
-    IF ( land_surface )  THEN
-       IF ( ALLOCATED( c_liq_av ) )  THEN
-          WRITE ( 14 )  'c_liq_av                 ';  WRITE ( 14 ) c_liq_av
-       ENDIF
-       IF ( ALLOCATED( c_soil_av ) )  THEN
-          WRITE ( 14 )  'c_soil_av                ';  WRITE ( 14 ) c_soil_av
-       ENDIF
-       IF ( ALLOCATED( c_veg_av ) )  THEN
-          WRITE ( 14 )  'c_veg_av                 ';  WRITE ( 14 ) c_veg_av
-       ENDIF
-    ENDIF
     WRITE ( 14 )  'e                   ';  WRITE ( 14 )  e
     IF ( ALLOCATED( e_av ) )  THEN
@@ -181,16 +163,6 @@
     ENDIF
     WRITE ( 14 )  'iran                ';  WRITE ( 14 )  iran, iran_part
-    IF ( land_surface )  THEN
-       IF ( ALLOCATED( ghf_eb_av ) )  THEN
-          WRITE ( 14 )  'ghf_eb_av                ';  WRITE ( 14 )  ghf_eb_av
-       ENDIF
-    ENDIF
     WRITE ( 14 )  'kh                  ';  WRITE ( 14 )  kh
     WRITE ( 14 )  'km                  ';  WRITE ( 14 )  km
-    IF ( land_surface )  THEN
-       IF ( ALLOCATED( lai_av ) )  THEN
-          WRITE ( 14 )  'lai_av                   ';  WRITE ( 14 )  lai_av
-       ENDIF
-    ENDIF
     IF ( ALLOCATED( lpt_av ) )  THEN
        WRITE ( 14 )  'lpt_av              ';  WRITE ( 14 )  lpt_av
@@ -198,14 +170,4 @@
     IF ( ALLOCATED( lwp_av ) )  THEN
        WRITE ( 14 )  'lwp_av              ';  WRITE ( 14 )  lwp_av
-    ENDIF
-    IF ( land_surface )  THEN
-       WRITE ( 14 )  'm_liq_eb            ';  WRITE ( 14 )  m_liq_eb
-       IF ( ALLOCATED( m_liq_eb_av ) )  THEN
-          WRITE ( 14 )  'm_liq_eb_av              ';  WRITE ( 14 )  m_liq_eb_av
-       ENDIF
-       WRITE ( 14 )  'm_soil              ';  WRITE ( 14 )  m_soil
-       IF ( ALLOCATED( m_soil_av ) )  THEN
-          WRITE ( 14 )  'm_soil_av                ';  WRITE ( 14 )  m_soil_av
-       ENDIF
     ENDIF
     WRITE ( 14 )  'ol                  ';  WRITE ( 14 )  ol
@@ -289,18 +251,4 @@
        WRITE ( 14 )  'sswst               ';  WRITE ( 14 ) sswst
     ENDIF    
-    IF ( land_surface )  THEN
-       IF ( ALLOCATED( qsws_eb_av ) )  THEN
-          WRITE ( 14 )  'qsws_eb_av          ';  WRITE ( 14 )  qsws_eb_av
-       ENDIF   
-       IF ( ALLOCATED( qsws_liq_eb_av ) )  THEN
-          WRITE ( 14 )  'qsws_liq_eb_av      ';  WRITE ( 14 )  qsws_liq_eb_av
-       ENDIF  
-       IF ( ALLOCATED( qsws_soil_eb_av ) )  THEN
-          WRITE ( 14 )  'qsws_soil_eb_av     ';  WRITE ( 14 )  qsws_soil_eb_av
-       ENDIF 
-       IF ( ALLOCATED( qsws_veg_eb_av ) )  THEN
-          WRITE ( 14 )  'qsws_veg_eb_av      ';  WRITE ( 14 )  qsws_veg_eb_av
-       ENDIF 
-    ENDIF
     IF ( ALLOCATED( rad_net ) )  THEN
        WRITE ( 14 )  'rad_net             ';  WRITE ( 14 )  rad_net  
@@ -374,10 +322,4 @@
        WRITE ( 14 )  'saswst              ';  WRITE ( 14 )  saswst
     ENDIF
-    IF ( land_surface )  THEN
-       WRITE ( 14 )  't_soil              ';  WRITE ( 14 )  t_soil
-       IF ( ALLOCATED( t_soil_av ) )  THEN
-          WRITE ( 14 )  't_soil_av                ';  WRITE ( 14 )  t_soil_av
-       ENDIF
-    ENDIF
     IF ( ALLOCATED( ql_c_av ) )  THEN
        WRITE ( 14 )  'ql_c_av             ';  WRITE ( 14 )  ql_c_av
@@ -408,9 +350,4 @@
        WRITE ( 14 )  'shf_av              ';  WRITE ( 14 )  shf_av
     ENDIF
-    IF ( land_surface )  THEN
-       IF ( ALLOCATED( shf_eb_av ) )  THEN
-          WRITE ( 14 )  'shf_eb_av           ';  WRITE ( 14 )  shf_eb_av
-       ENDIF
-    ENDIF
     IF ( ALLOCATED( spectrum_x ) )  THEN
        WRITE ( 14 )  'spectrum_x          ';  WRITE ( 14 )  spectrum_x