Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 1976)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 1977)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Output of radiation quantities is now done directly in the respective module
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1976 2016-07-27 13:28:04Z maronga
+! Output of radiation quantities is now done directly in the respective module
+! 
 ! 1972 2016-07-26 07:52:02Z maronga
 ! Output of land surface quantities is now done directly in the respective 
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 1976)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 1977)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Output of radiation quantities is now done directly in the respective module
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1976 2016-07-27 13:28:04Z maronga
+! Output of radiation quantities is now done directly in the respective module
+! 
 ! 1972 2016-07-26 07:52:02Z maronga
 ! Output of land surface quantities is now done directly in the respective module.
Index: palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/data_output_mask.f90	(revision 1976)
+++ palm/trunk/SOURCE/data_output_mask.f90	(revision 1977)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Output of radiation quantities is now done directly in the respective module
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1976 2016-07-27 13:28:04Z maronga
+! Output of radiation quantities is now done directly in the respective module
+! 
 ! 1960 2016-07-12 16:34:24Z suehring
 ! Separate humidity and passive scalar
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 1976)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 1977)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Removed some unneeded __rrtmg preprocessor directives
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1976 2016-07-27 13:28:04Z maronga
+! Removed some unneeded __rrtmg preprocessor directives
+! 
 ! 1960 2016-07-12 16:34:24Z suehring
 ! Separate humidity and passive scalar
Index: palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 1976)
+++ palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 1977)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Parts of the code have been reformatted. Use of radiation model output is
-! generalized and simplified. Added more output quantities due to modularization
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1976 2016-07-27 13:28:04Z maronga
+! Parts of the code have been reformatted. Use of radiation model output is
+! generalized and simplified. Added more output quantities due to modularization
+! 
 ! 1972 2016-07-26 07:52:02Z maronga
 ! Further modularization: output of cross sections and 3D data is now done in this
Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 1976)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 1977)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Removed remaining 2D land surface quantities. Definition of radiation 
-! quantities is now done directly in the respective module
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1976 2016-07-27 13:28:04Z maronga
+! Removed remaining 2D land surface quantities. Definition of radiation 
+! quantities is now done directly in the respective module
+! 
 ! 1972 2016-07-26 07:52:02Z maronga
 ! Bugfix: wrong units for lsm quantities.
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 1976)
+++ palm/trunk/SOURCE/palm.f90	(revision 1977)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Added call to radiation_last_actions for binary output of land surface model 
-! data
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1976 2016-07-27 13:28:04Z maronga
+! Added call to radiation_last_actions for binary output of land surface model 
+! data
+! 
 ! 1972 2016-07-26 07:52:02Z maronga
 ! Added call to lsm_last_actions for binary output of land surface model data
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 1976)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 1977)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Simplied calls to radiation model
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1976 2016-07-27 13:28:04Z maronga
+! Simplied calls to radiation model
+! 
 ! 1960 2016-07-12 16:34:24Z suehring
 ! Separate humidity and passive scalar
Index: palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/radiation_model_mod.f90	(revision 1976)
+++ palm/trunk/SOURCE/radiation_model_mod.f90	(revision 1977)
@@ -19,4 +19,11 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1976 2016-07-27 13:28:04Z maronga
 ! Output of 2D/3D/masked data is now directly done within this module. The
 ! radiation schemes have been simplified for better usability so that
@@ -24,8 +31,4 @@
 ! the radiation code used.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1856 2016-04-13 12:56:17Z maronga
 ! Bugfix: allocation of rad_lw_out for radiation_scheme = 'clear-sky'
Index: palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/read_3d_binary.f90	(revision 1976)
+++ palm/trunk/SOURCE/read_3d_binary.f90	(revision 1977)
@@ -19,12 +19,15 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1976 2016-07-27 13:28:04Z maronga
 ! Bugfix: read of land surface data only when module is switched on.
 ! Radiation parts are now done in the respective module.
 ! Binary version increased to 4.5.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1972 2016-07-26 07:52:02Z maronga
 ! Land surface parts are now done in the respective module
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1976)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1977)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Radiation actions are now done directly in the respective module
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1976 2016-07-27 13:28:04Z maronga
+! Radiation actions are now done directly in the respective module
+! 
 ! 1972 2016-07-26 07:52:02Z maronga
 ! Land surface actions are now done directly in the respective module
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1976)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1977)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Simplified calls to radiation model
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1976 2016-07-27 13:28:04Z maronga
+! Simplified calls to radiation model
+! 
 ! 1960 2016-07-12 16:34:24Z suehring
 ! Separate humidity and passive scalar
Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 1976)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 1977)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Radiation actions are now done directly in the respective module.
-! Binary version increased to 4.5.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1976 2016-07-27 13:28:04Z maronga
+! Radiation actions are now done directly in the respective module.
+! Binary version increased to 4.5.
+! 
 ! 1972 2016-07-26 07:52:02Z maronga
 ! Land surface actions are now done directly in the respective module