Index: /palm/trunk/SOURCE/Makefile
===================================================================
--- /palm/trunk/SOURCE/Makefile	(revision 2007)
+++ /palm/trunk/SOURCE/Makefile	(revision 2008)
@@ -20,12 +20,15 @@
 # Current revisions:
 # ------------------
+# 
+# 
+# Former revisions:
+# -----------------
+# $Id$
+#
+# 2007 2016-08-24 15:47:17Z kanani
 # urban surface module added,
 # cleaned up some lines (compiler flags/options), which were accidentally
 # added in rev1938
 # 
-# Former revisions:
-# -----------------
-# $Id$
-#
 # 1998 2016-08-20 18:45:34Z knoop
 # Bugfix: added netcdf_interface to dependency list for user_init_land_surface
Index: /palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/average_3d_data.f90	(revision 2007)
+++ /palm/trunk/SOURCE/average_3d_data.f90	(revision 2008)
@@ -20,12 +20,15 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 2007 2016-08-24 15:47:17Z kanani
 ! Added support for new urban surface model (temporary modifications of 
 ! SELECT CASE ( ) necessary, see variable trimvar),
 ! added comments in variable declaration section
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 2007)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 2008)
@@ -20,6 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Added checks for the urban surface model,
-! increased counter in DO WHILE loop over data_output (for urban surface output)
+! 
 ! 
 ! Former revisions:
@@ -27,4 +26,8 @@
 ! $Id$
 !
+! 2007 2016-08-24 15:47:17Z kanani
+! Added checks for the urban surface model,
+! increased counter in DO WHILE loop over data_output (for urban surface output)
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_3d.f90	(revision 2007)
+++ /palm/trunk/SOURCE/data_output_3d.f90	(revision 2008)
@@ -20,6 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Added support for new urban surface model (temporary modifications of 
-! SELECT CASE ( ) necessary, see variable trimvar)
+! 
 ! 
 ! Former revisions:
@@ -27,4 +26,8 @@
 ! $Id$
 !
+! 2007 2016-08-24 15:47:17Z kanani
+! Added support for new urban surface model (temporary modifications of 
+! SELECT CASE ( ) necessary, see variable trimvar)
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 2007)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 2008)
@@ -20,6 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Added support for urban surface model,
-! adjusted location_message in case of plant_canopy
+! 
 ! 
 ! Former revisions:
@@ -27,4 +26,8 @@
 ! $Id$
 !
+! 2007 2016-08-24 15:47:17Z kanani
+! Added support for urban surface model,
+! adjusted location_message in case of plant_canopy
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 2007)
+++ /palm/trunk/SOURCE/modules.f90	(revision 2008)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Increased DIMENSION of data_output, data_output_user, do2d, do3d
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2007 2016-08-24 15:47:17Z kanani
+! Increased DIMENSION of data_output, data_output_user, do2d, do3d
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 2007)
+++ /palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 2008)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! ------------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 2007 2016-08-24 15:47:17Z kanani
 ! Added support for new urban surface model (temporary modifications of 
 ! SELECT CASE ( ) necessary, see variable trimvar),
@@ -25,8 +32,4 @@
 ! increased LEN of char_cross_profiles, var_list, var_list_old
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/palm.f90
===================================================================
--- /palm/trunk/SOURCE/palm.f90	(revision 2007)
+++ /palm/trunk/SOURCE/palm.f90	(revision 2008)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Temporarily added CALL for writing of restart data for urban surface model
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2007 2016-08-24 15:47:17Z kanani
+! Temporarily added CALL for writing of restart data for urban surface model
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 2007)
+++ /palm/trunk/SOURCE/parin.f90	(revision 2008)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Added call to urban surface model for reading of &urban_surface_par
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! 
+! 2007 2016-08-24 15:47:17Z kanani
+! Added call to urban surface model for reading of &urban_surface_par
 ! 
 ! 2004 2016-08-24 10:25:59Z suehring
Index: /palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 2007)
+++ /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 2008)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 2007 2016-08-24 15:47:17Z kanani
 ! Added SUBROUTINE pcm_read_plant_canopy_3d for reading 3d plant canopy data
 ! from file (new case canopy_mode=read_from_file_3d) in the course of
@@ -26,8 +33,4 @@
 ! resorted SUBROUTINEs to alphabetical order
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- /palm/trunk/SOURCE/prognostic_equations.f90	(revision 2007)
+++ /palm/trunk/SOURCE/prognostic_equations.f90	(revision 2008)
@@ -20,6 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Added pt tendency calculation based on energy balance at urban surfaces
-! (new urban surface model)
+! 
 ! 
 ! Former revisions:
@@ -27,4 +26,8 @@
 ! $Id$
 !
+! 2007 2016-08-24 15:47:17Z kanani
+! Added pt tendency calculation based on energy balance at urban surfaces
+! (new urban surface model)
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2007)
+++ /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2008)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 2007 2016-08-24 15:47:17Z kanani
 ! Added calculation of solar directional vector for new urban surface 
 ! model,
@@ -25,8 +32,4 @@
 ! correction of comments for zenith angle.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 2007)
+++ /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 2008)
@@ -20,12 +20,15 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 2007 2016-08-24 15:47:17Z kanani
 ! Added support for new urban surface model (temporary modifications of 
 ! SELECT CASE ( ) necessary, see variable trimvar),
 ! added comments in variable declaration section
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/surface_layer_fluxes_mod.f90
===================================================================
--- /palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 2007)
+++ /palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 2008)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Account for urban surface model in computation of vertical kinematic heatflux
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2007 2016-08-24 15:47:17Z kanani
+! Account for urban surface model in computation of vertical kinematic heatflux
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- /palm/trunk/SOURCE/swap_timelevel.f90	(revision 2007)
+++ /palm/trunk/SOURCE/swap_timelevel.f90	(revision 2008)
@@ -20,6 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Added swapping of urban surface model quantities,
-! removed redundance for land surface model
+! 
 ! 
 ! Former revisions:
@@ -27,4 +26,8 @@
 ! $Id$
 !
+! 2007 2016-08-24 15:47:17Z kanani
+! Added swapping of urban surface model quantities,
+! removed redundance for land surface model
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 2007)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 2008)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Added CALLs for new urban surface model
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2007 2016-08-24 15:47:17Z kanani
+! Added CALLs for new urban surface model
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: /palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2007)
+++ /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2008)
@@ -23,9 +23,12 @@
 ! Current revisions:
 ! ------------------
-! Initial revision
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 2007 2016-08-24 15:47:17Z kanani
+! Initial revision
 !
 !
Index: /palm/trunk/SOURCE/user_init_urban_surface.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_urban_surface.f90	(revision 2007)
+++ /palm/trunk/SOURCE/user_init_urban_surface.f90	(revision 2008)
@@ -21,9 +21,12 @@
 ! Current revisions:
 ! -----------------
-! Initial revision
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 2007 2016-08-24 15:47:17Z kanani
+! Initial revision
 !
 !