Index: /palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/average_3d_data.f90	(revision 2011)
+++ /palm/trunk/SOURCE/average_3d_data.f90	(revision 2012)
@@ -20,12 +20,15 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 2011 2016-09-19 17:29:57Z kanani
 ! Flag urban_surface is now defined in module control_parameters,
 ! changed prefix for urban surface model output to "usm_",
 ! introduced control parameter varnamelength for LEN of trimvar.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 2007 2016-08-24 15:47:17Z kanani
 ! Added support for new urban surface model (temporary modifications of 
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 2011)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 2012)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 2011 2016-09-19 17:29:57Z kanani
 ! Flag urban_surface is now defined in module control_parameters,
 ! changed prefix for urban surface model output to "usm_",
@@ -26,8 +33,4 @@
 ! introduced control parameter varnamelength for LEN of var.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 2007 2016-08-24 15:47:17Z kanani
 ! Added checks for the urban surface model,
Index: /palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_3d.f90	(revision 2011)
+++ /palm/trunk/SOURCE/data_output_3d.f90	(revision 2012)
@@ -20,12 +20,15 @@
 ! Current revisions:
 ! ------------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 2011 2016-09-19 17:29:57Z kanani
 ! Flag urban_surface is now defined in module control_parameters,
 ! changed prefix for urban surface model output to "usm_",
 ! introduced control parameter varnamelength for LEN of trimvar.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 2007 2016-08-24 15:47:17Z kanani
 ! Added support for new urban surface model (temporary modifications of 
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 2011)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 2012)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Flag urban_surface is now defined in module control_parameters.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2011 2016-09-19 17:29:57Z kanani
+! Flag urban_surface is now defined in module control_parameters.
+! 
 ! 2007 2016-08-24 15:47:17Z kanani
 ! Added support for urban surface model,
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 2011)
+++ /palm/trunk/SOURCE/modules.f90	(revision 2012)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! +urban_surface, +lsf_exception, +varnamelength
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2011 2016-09-19 17:29:57Z kanani
+! +urban_surface, +lsf_exception, +varnamelength
+! 
 ! 2007 2016-08-24 15:47:17Z kanani
 ! Increased DIMENSION of data_output, data_output_user, do2d, do3d
Index: /palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 2011)
+++ /palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 2012)
@@ -20,12 +20,15 @@
 ! Current revisions:
 ! ------------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 2011 2016-09-19 17:29:57Z kanani
 ! Flag urban_surface is now defined in module control_parameters,
 ! changed prefix for urban surface model output to "usm_",
 ! introduced control parameter varnamelength for LEN of trimvar.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 2007 2016-08-24 15:47:17Z kanani
 ! Added support for new urban surface model (temporary modifications of 
Index: /palm/trunk/SOURCE/palm.f90
===================================================================
--- /palm/trunk/SOURCE/palm.f90	(revision 2011)
+++ /palm/trunk/SOURCE/palm.f90	(revision 2012)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Flag urban_surface is now defined in module control_parameters.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2011 2016-09-19 17:29:57Z kanani
+! Flag urban_surface is now defined in module control_parameters.
+! 
 ! 2007 2016-08-24 15:47:17Z kanani
 ! Temporarily added CALL for writing of restart data for urban surface model
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 2011)
+++ /palm/trunk/SOURCE/parin.f90	(revision 2012)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! Added flag lsf_exception to allow explicit enabling of large scale forcing 
-! together with buildings on flat terrain.
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! 
+! 2011 2016-09-19 17:29:57Z kanani
+! Added flag lsf_exception to allow explicit enabling of large scale forcing 
+! together with buildings on flat terrain.
 ! 
 ! 2007 2016-08-24 15:47:17Z kanani
Index: /palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 2011)
+++ /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 2012)
@@ -20,12 +20,15 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 2011 2016-09-19 17:29:57Z kanani
 ! Renamed canopy_heat_flux to pc_heating_rate, since the original meaning/
 ! calculation of the quantity has changed, related to the urban surface model
 ! and similar future applications. 
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 2007 2016-08-24 15:47:17Z kanani
 ! Added SUBROUTINE pcm_read_plant_canopy_3d for reading 3d plant canopy data
Index: /palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- /palm/trunk/SOURCE/prognostic_equations.f90	(revision 2011)
+++ /palm/trunk/SOURCE/prognostic_equations.f90	(revision 2012)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Flag urban_surface is now defined in module control_parameters.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2011 2016-09-19 17:29:57Z kanani
+! Flag urban_surface is now defined in module control_parameters.
+! 
 ! 2007 2016-08-24 15:47:17Z kanani
 ! Added pt tendency calculation based on energy balance at urban surfaces
Index: /palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2011)
+++ /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2012)
@@ -20,6 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Removed CALL of auxiliary SUBROUTINE get_usm_info,
-! flag urban_surface is now defined in module control_parameters.
+! 
 ! 
 ! Former revisions:
@@ -27,4 +26,8 @@
 ! $Id$
 !
+! 2011 2016-09-19 17:29:57Z kanani
+! Removed CALL of auxiliary SUBROUTINE get_usm_info,
+! flag urban_surface is now defined in module control_parameters.
+! 
 ! 2007 2016-08-24 15:47:17Z kanani
 ! Added calculation of solar directional vector for new urban surface 
Index: /palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 2011)
+++ /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 2012)
@@ -20,12 +20,15 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 2011 2016-09-19 17:29:57Z kanani
 ! Flag urban_surface is now defined in module control_parameters,
 ! changed prefix for urban surface model output to "usm_",
 ! introduced control parameter varnamelength for LEN of trimvar.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 2007 2016-08-24 15:47:17Z kanani
 ! Added support for new urban surface model (temporary modifications of 
Index: /palm/trunk/SOURCE/surface_layer_fluxes_mod.f90
===================================================================
--- /palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 2011)
+++ /palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 2012)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Flag urban_surface is now defined in module control_parameters.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2011 2016-09-19 17:29:57Z kanani
+! Flag urban_surface is now defined in module control_parameters.
+! 
 ! 2007 2016-08-24 15:47:17Z kanani
 ! Account for urban surface model in computation of vertical kinematic heatflux
Index: /palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- /palm/trunk/SOURCE/swap_timelevel.f90	(revision 2011)
+++ /palm/trunk/SOURCE/swap_timelevel.f90	(revision 2012)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Flag urban_surface is now defined in module control_parameters.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2011 2016-09-19 17:29:57Z kanani
+! Flag urban_surface is now defined in module control_parameters.
+! 
 ! 2007 2016-08-24 15:47:17Z kanani
 ! Added swapping of urban surface model quantities,
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 2011)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 2012)
@@ -20,6 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Flag urban_surface is now defined in module control_parameters,
-! removed commented CALLs of global_min_max.
+! 
 ! 
 ! Former revisions:
@@ -27,4 +26,8 @@
 ! $Id$
 !
+! 2011 2016-09-19 17:29:57Z kanani
+! Flag urban_surface is now defined in module control_parameters,
+! removed commented CALLs of global_min_max.
+! 
 ! 2007 2016-08-24 15:47:17Z kanani
 ! Added CALLs for new urban surface model
Index: /palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2011)
+++ /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2012)
@@ -21,4 +21,11 @@
 ! Current revisions:
 ! ------------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 2011 2016-09-19 17:29:57Z kanani
 ! Major reformatting according to PALM coding standard (comments, blanks,
 ! alphabetical ordering, etc.),
@@ -29,8 +36,4 @@
 ! renamed canopy_heat_flux to pc_heating_rate, as meaning of quantity changed.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 2007 2016-08-24 15:47:17Z kanani
 ! Initial revision
Index: /palm/trunk/SOURCE/user_init_urban_surface.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_urban_surface.f90	(revision 2011)
+++ /palm/trunk/SOURCE/user_init_urban_surface.f90	(revision 2012)
@@ -21,5 +21,5 @@
 ! Current revisions:
 ! -----------------
-! Flag urban_surface is now defined in module control_parameters.
+! 
 ! 
 ! Former revisions:
@@ -27,4 +27,7 @@
 ! $Id$
 !
+! 2011 2016-09-19 17:29:57Z kanani
+! Flag urban_surface is now defined in module control_parameters.
+! 
 ! 2007 2016-08-24 15:47:17Z kanani
 ! Initial revision