Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 2027)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 2031)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! renamed variable rho to rho_ocean
 ! 
 ! Former revisions:
@@ -212,5 +212,5 @@
     USE arrays_3d,                                                             &
         ONLY:  ddzu, ddzw, e, hyp, km, kh, nr, ol, p, prho, prr, pt, q, qc, ql,&
-               qr, qs, qsws, qswst, rho, s, sa, ss, ssws, sswst, saswsb,       &
+               qr, qs, qsws, qswst, rho_ocean, s, sa, ss, ssws, sswst, saswsb,       &
                saswst, shf, td_lsa_lpt, td_lsa_q, td_sub_lpt, td_sub_q,        &
                time_vert, ts, tswst, u, ug, us, usws, uswst, vsws, v, vg, vpt, &
@@ -926,5 +926,5 @@
                                         rmask(j,i,sr)
                    ENDIF
-                   sums_l(k,64,tn) = sums_l(k,64,tn) + rho(k,j,i) *            &
+                   sums_l(k,64,tn) = sums_l(k,64,tn) + rho_ocean(k,j,i) *            &
                                                        rmask(j,i,sr)
                    sums_l(k,71,tn) = sums_l(k,71,tn) + prho(k,j,i) *           &
@@ -1400,5 +1400,5 @@
        hom(:,1,55,sr) = sums(:,55)     ! w*u*u*/dz
        hom(:,1,56,sr) = sums(:,56)     ! w*p*/dz
-       hom(:,1,57,sr) = sums(:,57)     ! ( w"e + w"p"/rho )/dz
+       hom(:,1,57,sr) = sums(:,57)     ! ( w"e + w"p"/rho_ocean )/dz
        hom(:,1,58,sr) = sums(:,58)     ! u"pt"
        hom(:,1,59,sr) = sums(:,59)     ! u*pt*
@@ -1407,10 +1407,10 @@
        hom(:,1,62,sr) = sums(:,62)     ! v*pt*
        hom(:,1,63,sr) = sums(:,61) + sums(:,62)    ! vpt_t
-       hom(:,1,64,sr) = sums(:,64)     ! rho
+       hom(:,1,64,sr) = sums(:,64)     ! rho_ocean
        hom(:,1,65,sr) = sums(:,65)     ! w"sa"
        hom(:,1,66,sr) = sums(:,66)     ! w*sa*
        hom(:,1,67,sr) = sums(:,65) + sums(:,66)    ! wsa
        hom(:,1,68,sr) = sums(:,68)     ! w*p*
-       hom(:,1,69,sr) = sums(:,69)     ! w"e + w"p"/rho
+       hom(:,1,69,sr) = sums(:,69)     ! w"e + w"p"/rho_ocean
        hom(:,1,70,sr) = sums(:,70)     ! q*2
        hom(:,1,71,sr) = sums(:,71)     ! prho
@@ -1706,5 +1706,5 @@
     USE arrays_3d,                                                             &
         ONLY:  ddzu, ddzw, e, hyp, km, kh, nr, p, prho, pt, q, qc, ql, qr, qs, &
-               qsws, qswst, rho, s, sa, saswsb, saswst, shf, ss, ssws, sswst,  &
+               qsws, qswst, rho_ocean, s, sa, saswsb, saswst, shf, ss, ssws, sswst,  &
                td_lsa_lpt, td_lsa_q, td_sub_lpt, td_sub_q, time_vert, ts,      &
                tswst, u, ug, us, usws, uswst, vsws, v, vg, vpt, vswst, w,      &
@@ -2786,5 +2786,5 @@
           ENDIF
 
-          !$acc parallel loop gang present( rflags_invers, rho, prho, rmask, sums_l ) create( s1, s2 )
+          !$acc parallel loop gang present( rflags_invers, rho_ocean, prho, rmask, sums_l ) create( s1, s2 )
           DO  k = nzb, nzt_diff
              s1 = 0
@@ -2793,5 +2793,5 @@
              DO  i = nxl, nxr
                 DO  j = nys, nyn
-                   s1 = s1 + rho(k,j,i)  * rmask(j,i,sr) * rflags_invers(j,i,k+1)
+                   s1 = s1 + rho_ocean(k,j,i)  * rmask(j,i,sr) * rflags_invers(j,i,k+1)
                    s2 = s2 + prho(k,j,i) * rmask(j,i,sr) * rflags_invers(j,i,k+1)
                 ENDDO
@@ -3424,5 +3424,5 @@
        hom(:,1,55,sr) = sums(:,55)     ! w*u*u*/dz
        hom(:,1,56,sr) = sums(:,56)     ! w*p*/dz
-       hom(:,1,57,sr) = sums(:,57)     ! ( w"e + w"p"/rho )/dz
+       hom(:,1,57,sr) = sums(:,57)     ! ( w"e + w"p"/rho_ocean )/dz
        hom(:,1,58,sr) = sums(:,58)     ! u"pt"
        hom(:,1,59,sr) = sums(:,59)     ! u*pt*
@@ -3431,10 +3431,10 @@
        hom(:,1,62,sr) = sums(:,62)     ! v*pt*
        hom(:,1,63,sr) = sums(:,61) + sums(:,62)    ! vpt_t
-       hom(:,1,64,sr) = sums(:,64)     ! rho
+       hom(:,1,64,sr) = sums(:,64)     ! rho_ocean
        hom(:,1,65,sr) = sums(:,65)     ! w"sa"
        hom(:,1,66,sr) = sums(:,66)     ! w*sa*
        hom(:,1,67,sr) = sums(:,65) + sums(:,66)    ! wsa
        hom(:,1,68,sr) = sums(:,68)     ! w*p*
-       hom(:,1,69,sr) = sums(:,69)     ! w"e + w"p"/rho
+       hom(:,1,69,sr) = sums(:,69)     ! w"e + w"p"/rho_ocean
        hom(:,1,70,sr) = sums(:,70)     ! q*2
        hom(:,1,71,sr) = sums(:,71)     ! prho